package org.mynonglam.entitys;

import java.io.Serializable;
import javax.persistence.*;

/**
 * The primary key class for the statuslike database table.
 * 
 */
@Embeddable
public class StatusLikePK implements Serializable {
	//default serial version id, required for serializable classes.
	private static final long serialVersionUID = 1L;

	private String idstatus;

	private String emaillikestatus;

	public StatusLikePK() {
	}
	public String getIdstatus() {
		return this.idstatus;
	}
	public void setIdstatus(String idstatus) {
		this.idstatus = idstatus;
	}
	public String getEmaillikestatus() {
		return this.emaillikestatus;
	}
	public void setEmaillikestatus(String emaillikestatus) {
		this.emaillikestatus = emaillikestatus;
	}

	public boolean equals(Object other) {
		if (this == other) {
			return true;
		}
		if (!(other instanceof StatusLikePK)) {
			return false;
		}
		StatusLikePK castOther = (StatusLikePK)other;
		return 
			this.idstatus.equals(castOther.idstatus)
			&& this.emaillikestatus.equals(castOther.emaillikestatus);
	}

	public int hashCode() {
		final int prime = 31;
		int hash = 17;
		hash = hash * prime + this.idstatus.hashCode();
		hash = hash * prime + this.emaillikestatus.hashCode();
		
		return hash;
	}
}